summaryrefslogtreecommitdiffstats
path: root/libraries/PyQt5/PyQt5.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/PyQt5/PyQt5.SlackBuild')
-rw-r--r--libraries/PyQt5/PyQt5.SlackBuild37
1 files changed, 26 insertions, 11 deletions
diff --git a/libraries/PyQt5/PyQt5.SlackBuild b/libraries/PyQt5/PyQt5.SlackBuild
index 5ff9ef1202..9a05360b7a 100644
--- a/libraries/PyQt5/PyQt5.SlackBuild
+++ b/libraries/PyQt5/PyQt5.SlackBuild
@@ -35,7 +35,7 @@
# Updated for Qt5-5.9.6 by David Woodfall <dave@slackbuilds.org>
PRGNAM=PyQt5
-VERSION=${VERSION:-5.9.2}
+VERSION=${VERSION:-5.13.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -71,10 +71,9 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf ${PRGNAM}_gpl-$VERSION
-tar xvf $CWD/${PRGNAM}_gpl-$VERSION.tar.gz
-cd ${PRGNAM}_gpl-$VERSION
-chown -R root:root .
+rm -rf $PRGNAM-$VERSION $PRGNAM-$VERSION-3
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+chown -R root:root $PRGNAM-$VERSION
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
@@ -82,24 +81,40 @@ find -L . \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# This is needed or an include from dbus is missed (tnx, Archlinux)
-sed -i '/target_config.dbus_inc_dirs = \[\]/d' configure.py
+sed -i '/target_config.dbus_inc_dirs = \[\]/d' $PRGNAM-$VERSION/configure.py || exit 1
export QTDIR=/usr/lib${LIBDIRSUFFIX}/qt5
export QT5DIR=/usr/lib${LIBDIRSUFFIX}/qt5
-PYTHONVER=$(python -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
-
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
+cp -a $PRGNAM-$VERSION $PRGNAM-$VERSION-3
+
+cd $PRGNAM-$VERSION
+
+PYTHONVER=$(python -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
python configure.py \
--confirm-license \
--verbose \
- --sip=/usr/bin/python2-sip \
- --sip-incdir="/usr/include/python$PYTHONVER/python2-sip" \
+ --sip=/usr/bin/sip \
+ --sip-incdir="/usr/include/python$PYTHONVER" \
+ -q /usr/bin/qmake-qt5
+
+make
+make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG
+
+cd ../$PRGNAM-$VERSION-3
+
+PYTHONVER=$(python3 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
+python3 configure.py \
+ --confirm-license \
+ --verbose \
+ --sip=/usr/bin/sip3 \
+ --sip-incdir="/usr/include/python$PYTHONVER" \
-q /usr/bin/qmake-qt5
make
-make install DESTDIR=$PKG INSTALL_ROOT=$PKG
+make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true